package com.naver.domain;

public class Criteria {
	private int page; // 페이지번호
	private int perPageNum; // 한페이지당 보여줄 글의 수
	
	//생성자
	public Criteria(){
		this.page=1; // 기본값. 1페이지
		this.perPageNum=10; // 기본값. 10개의 글 보여주기.
	}

	public int getPage() {
		return page;
	}

	public void setPage(int page) {
		if(page<0){
			this.page=1;
			return;
		}
		
		this.page = page;
	}

	public int getPerPageNum() {
		return perPageNum;
	}

	public void setPerPageNum(int perPageNum) {
		//페이지당 보여줄 글의 갯수 100개넘지 않도록
		if(perPageNum<=0 || perPageNum>100){
			this.perPageNum=10; //기본값 10으로 조정.
			return;
		}
		
		this.perPageNum = perPageNum;
	}
	
	//limit num, 10에서 num 값 계산
	public int getPageStart(){
		return (this.page-1)*this.perPageNum;
	}

	@Override
	public String toString() {
		return "Criteria [page=" + page + ", perPageNum=" + perPageNum + "]";
	}
	
}
