package com.naver.persistence;

import java.util.List;

import com.naver.domain.BoardVO;
import com.naver.domain.Criteria;
import com.naver.domain.SearchCriteria;

public interface BoardDAO {
	//입력
	public void create(BoardVO vo) throws Exception;
	//조회
	public BoardVO read(Integer bno) throws Exception;
	//수정
	public void update(BoardVO vo) throws Exception;
	//삭제
	public void delete(Integer bno) throws Exception;
	//목록
	public List<BoardVO> listAll() throws Exception;
	//페이징
	public List<BoardVO> listPage(int page) throws Exception;
	//페이징.Criteria클래스사용.
	public List<BoardVO> listCriteria(Criteria cri) throws Exception;
	//전체글수
	public int countPaging(Criteria cri) throws Exception;
	//검색
	public List<BoardVO> listSearch(SearchCriteria cri) throws Exception;
	//검색한 글의 수
	public int listSearchCount(SearchCriteria cri) throws Exception;
}
