package com.naver.service;

import java.util.List;

import javax.inject.Inject;

import org.springframework.stereotype.Service;

import com.naver.domain.BoardVO;
import com.naver.domain.Criteria;
import com.naver.domain.SearchCriteria;
import com.naver.persistence.BoardDAOImpl;

@Service
public class BoardServiceImpl implements BoardService {

	@Inject
	private BoardDAOImpl dao;
	
	@Override
	public void regist(BoardVO vo) throws Exception {
		dao.create(vo);
		
	}

	@Override
	public BoardVO read(Integer bno) throws Exception {
		
		return dao.read(bno);
	}

	@Override
	public void modify(BoardVO vo) throws Exception {
		dao.update(vo);
		
	}

	@Override
	public void remove(Integer bno) throws Exception {
		dao.delete(bno);
		
	}

	@Override
	public List<BoardVO> listAll() throws Exception {
		
		return dao.listAll();
	}
	
	@Override
	public List<BoardVO> listCriteria(Criteria cri) throws Exception{
		return dao.listCriteria(cri);
	}

	@Override
	public int listCountCriteria(Criteria cri) throws Exception {
		
		return dao.countPaging(cri);
	}

	@Override
	public List<BoardVO> listSearchCriteria(SearchCriteria cri) throws Exception {
		
		return dao.listSearch(cri);
	}

	@Override
	public int listSearchCount(SearchCriteria cri) throws Exception {
		
		return dao.listSearchCount(cri);
	}

}
