<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ include file="../include/header.jsp" %>
<!-- Handlebars  -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/handlebars.js/4.0.6/handlebars.min.js"></script>
<script id="template" type="text/x-handlebars-template">
{{#each .}}
<li class="replyLi" data-rno={{rno}}>
<i class="fa fa-comments bg-blue"></i>
 <div class="timeline-item" >
  <span class="time">
    <i class="fa fa-clock-o"></i>{{prettifyDate regdate}}
  </span>
  <h3 class="timeline-header"><strong>{{rno}}</strong> -{{replyer}}</h3>
  <div class="timeline-body">{{replytext}} </div>
    <div class="timeline-footer">
     <a class="btn btn-primary btn-xs" 
	    data-toggle="modal" data-target="#modifyModal">Modify</a>
    </div>
  </div>			
</li>
{{/each}}
</script>
<script>
	Handlebars.registerHelper("prettifyDate", function(timeValue) {
		var dateObj = new Date(timeValue);
		var year = dateObj.getFullYear();
		var month = dateObj.getMonth() + 1;
		var date = dateObj.getDate();
		return year + "/" + month + "/" + date;
	});

	var printData = function(replyArr, target, templateObject) {

		var template = Handlebars.compile(templateObject.html());

		var html = template(replyArr);
		
		//댓글목록초기화
		$(".replyLi").remove();
		target.after(html);

	}
	
	var bno = ${boardVO.bno};
	
	var replyPage = 1;

	function getPage(pageInfo){
		
		$.getJSON(pageInfo,function(data){
			printData(data.list, $("#repliesDiv") ,$('#template'));
			printPaging(data.pageMaker, $(".pagination"));
			
			$("#modifyModal").modal('hide');
			/* $("#replycntSmall").html("[ " + data.pageMaker.totalCount +" ]"); */
			
		});
	}

	var printPaging = function(pageMaker, target) {

		var str = "";

		if (pageMaker.prev) {
			str += "<li><a href='" + (pageMaker.startPage - 1)
					+ "'> << </a></li>";
		}

		for (var i = pageMaker.startPage, len = pageMaker.endPage; i <= len; i++) {
			var strClass = pageMaker.cri.page == i ? 'class=active' : '';
			str += "<li "+strClass+"><a href='"+i+"'>" + i + "</a></li>";
		}

		if (pageMaker.next) {
			str += "<li><a href='" + (pageMaker.endPage + 1)
					+ "'> >> </a></li>";
		}

		target.html(str);
	};
	
	
	

	/* getPage("/replies/" + bno + "/1"); */
</script>
<!-- 조회  ------------------------------------->
<section class="content">
	<div class="row">
		<div class="col-md-12">
			<div class="box">
				<div class="box-header with-border">
					<h3 class="box-title">글내용</h3>
				</div>
				<div class="box-body">
					<!-- 조회 폼 ------------------------------------->
					<form role="form" method="post">
						<input type="hidden" name="bno" value="${boardVO.bno}">
						
						<div class="box-body">
							<div class="form-group">
								<label>Title</label>
								<input type="text" name="title" value="${boardVO.title}" class="form-control" readonly>
							</div>
							<div class="form-group">
								<label>Content</label>
								<textarea class="form-control" name="content" readonly>${boardVO.content}</textarea>
							</div>
							<div class="form-group">
								<label>Writer</label>
								<input type="text" name="writer" value="${boardVO.writer}" class="form-control" readonly>
							</div>
						</div>
						
			
					<!-- 조회 폼.끝.---------------------------------->
				</div> 
				<div class="box-footer">
					<input type="button" id="btnModify" class="btn btn-warning" value="수정">
					<button type="submit" id="btnRemove" class="btn btn-warning">삭제</button>
					
					<input type="button" id="btnListAll" class="btn btn-warning" value="목록"></button>
					<!--  <a href="/board/listAll" class="btn btn-warning">목록</a> -->
					
					</form>	
					<script>
						$(document).ready(function(){
							var formObj=$("form[role='form']");
							
							$("#btnModify").on("click",function(){
								self.location="/sboard/modifyPage${pageMaker.makeSearch(pageMaker.cri.page)}&bno=${boardVO.bno}";
							});
							$("#btnRemove").on("click",function(){
								formObj.attr("action","/sboard/removePage");
								formObj.submit();
							});
							$("#btnListAll").on("click",function(){
								self.location="/sboard/list${pageMaker.makeSearch(pageMaker.cri.page)}";
								
							});
							
							$("#repliesDiv").on("click", function() {
								
								if ($(".timeline li").size() > 1) {
									return;
								}
								getPage("/replies/" + bno + "/1");

							});
							
							$(".pagination").on("click","li a",function(event){
								event.preventDefault();
								replyPage=$(this).attr("href");
								getPage("/replies/" + bno + "/"+replyPage);
								
							});
							
							$("#replyAddBtn").click(function(){
								var replyer=$("#newReplyWriter").val();
								var replytext=$("#newReplyText").val();
								
								$.ajax({
									type:'post',
									url:'/replies',
									headers:{
												"Content-Type":"application/json",
												"X-HTTP-Method-Override":"POST"				
											},
									dataType:'text',
									data: JSON.stringify({bno:bno,
														replyer:replyer,
														replytext:replytext}) ,				
									success:function(result){
										if(result=='SUCCESS'){
											alert("등록되었습니다.");
											getPage("/replies/" + bno + "/1");
											//등록폼 초기화
											$("#newReplyWriter").val("");
											$("#newReplyText").val("");
										}
									}
								});
							});
							
							$(".timeline").on("click",".replyLi",function(){
								//글내용 출력
								$("#replytext").val($(this).find('.timeline-body').text());
								//글번호 출력
								$(".modal-title").html($(this).attr("data-rno"));
							});
							
							$("#replyModBtn").click(function(){
								var rno=$(".modal-title").html();
								var replytext=$("#replytext").val();
								
								$.ajax({
									type:'put',
									url:'/replies/'+rno,
									headers:{
												"Content-Type":"application/json",
												"X-HTTP-Method-Override":"PUT"				
											},
									dataType:'text',
									data:JSON.stringify({replytext:replytext}),
									success:function(result){
										if(result=='SUCCESS'){
											alert("수정되었습니다.");
											$("#modDiv").hide();//모달창종료
											getPage("/replies/" + bno + "/"+replyPage);
										}
									}
								});
								
							});
							
							$("#replyDelBtn").click(function(){
								var rno=$(".modal-title").html();
								
								$.ajax({
									type:'delete',
									url:'/replies/'+rno,
									headers:{
												"Content-Type":"application/json",
												"X-HTTP-Method-Override":"DELETE"				
											},
									dataType:'text',								
									success:function(result){
										if(result=='SUCCESS'){
											alert("삭제되었습니다.");
											$("#modDiv").hide();//모달창종료
											getPage("/replies/" + bno + "/"+replyPage);
										}
									}
								});
							});
						});
					</script>
				</div>  
			</div>
		</div>
	</div>
	
	
	<!-- 댓글 출력 --------------------------------- -->
	<div class="row">
		<div class="col-md-12">

			<div class="box box-success">
				<div class="box-header">
					<h3 class="box-title">ADD NEW REPLY</h3>
				</div>
				<div class="box-body">
					<label for="exampleInputEmail1">Writer</label> <input
						class="form-control" type="text" placeholder="USER ID"
						id="newReplyWriter"> <label for="exampleInputEmail1">Reply
						Text</label> <input class="form-control" type="text"
						placeholder="REPLY TEXT" id="newReplyText">

				</div>
				<!-- /.box-body -->
				<div class="box-footer">
					<button type="button" class="btn btn-primary" id="replyAddBtn">ADD
						REPLY</button>
				</div>
			</div>

		
		<!-- The time line -->
		<ul class="timeline">
		  <!-- timeline time label -->
		<li class="time-label" id="repliesDiv">
		  <span class="bg-green">
		    Replies List 
		    </span> 
		  </li>
		</ul> 
		   
			<div class='text-center'>
				<ul id="pagination" class="pagination pagination-sm no-margin ">

				</ul>
			</div>

		</div>
		<!-- /.col -->
	</div>
	<!-- /.row -->
	
	<!-- Modal -->
	<div id="modifyModal" class="modal modal-primary fade" role="dialog">
	  <div class="modal-dialog">
	    <!-- Modal content-->
	    <div class="modal-content">
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal">&times;</button>
	        <h4 class="modal-title"></h4>
	      </div>
	      <div class="modal-body" data-rno>
	        <p><input type="text" id="replytext" class="form-control"></p>
	      </div>
	      <div class="modal-footer">
	        <button type="button" class="btn btn-info" id="replyModBtn">Modify</button>
	        <button type="button" class="btn btn-danger" id="replyDelBtn">DELETE</button>
	        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
	      </div>
	    </div>
	  </div>
	</div>  
<!-- 댓글목록.끝. ---------------------------------------------------------------- -->
</section>

<!-- 조회.끝.---------------------------------->
<%@include file="../include/footer.jsp" %>

